package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.Server.PublishServerObject;
import _VisualDVM.TestingSystem.Common.TestingServer;
import _VisualDVM.TestingSystem.SAPFOR.SapforSettings.SapforSettings;
import _VisualDVM.TestingSystem.SAPFOR.SapforSettingsCommand.SapforSettingsCommand;
public class PublishSapforSettingsCommand extends PublishServerObject<TestingServer, SapforSettingsCommand> {
    public PublishSapforSettingsCommand() {
        super(Global.testingServer, SapforSettingsCommand.class);
    }
    @Override
    public boolean fillObjectFields() throws Exception {
        target.sapforsettings_id = Global.testingServer.db.getTable(SapforSettings.class).getUI().getCurrent().id;
        return super.fillObjectFields();
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return Global.testingServer.db.getTable(SapforSettings.class).getUI().CheckCurrent(Log) && super.canStart(args);
    }
}
